subroutine def_pb(line,ids)
  use all_type
  implicit none
  type (linetyp) :: line
  character(len=idlen) :: ids
  integer(2) :: nr_b
  real(4),dimension(max_pb_zl,4) :: c,d

  nr_b=19
  line%pb%nr_b=nr_b
  line%pb%b(1:nr_b)=(/0.,1.,10.,25.,50.,100.,200.,300.,400.,500., &
   600.,700.,800.,900.,1000.,1500.,2000.,3000.,5000. /)
  select case (ids)
  case ('HeI 10829.1','He1 10829.09')
     line%pb%nr_zl=3
     c(1,:)=(/ 1.685, 3.072e-2, -1.366e-2, 1.568e-3 /)
     c(2,:)=(/ 1.685, 3.073e-2, -1.366e-2, 1.567e-3 /)
     c(3,:)=(/ 1.685, 3.073e-2, -1.366e-2, 1.567e-3 /)
     line%pb%cr(1,:)=c(1,:)
     line%pb%cp(1,:)=c(2,:)
     line%pb%cb(1,:)=c(3,:)
     d(1,:)=(/ -1.040e-2,  2.326e-4,  1.577e-5, -8.117e-7 /)
     d(2,:)=(/ -1.280e-7, -4.635e-4,  2.127e-8,  1.606e-6 /)
     d(3,:)=(/  1.040e-2,  2.331e-4, -1.740e-5, -4.781e-7 /)
     line%pb%dr(1,:)=d(1,:)
     line%pb%dp(1,:)=d(2,:)
     line%pb%db(1,:)=d(3,:)

      line%pb%splitting(1,1:nr_b)=(/0.,.00104086,.01041,.0260312,.0520826,.104246,.208818,.313713,.418934, &
        .524479,.630348,.736542,.84306,.949901,1.05707,1.59773,2.14643,3.26765,5.60244/)
      line%pb%splitting(2,1:nr_b)=(/0.,1.62387e-08,1.62387e-06,1.01492e-05,4.05966e-05,.000162385,.000649526,.00146138,.00259786, &
        .00405887,.00584427,.00795390,.0103875,.0131450,.0162260,.0364728,.0647523,.145129,.398238/)
      line%pb%splitting(3,1:nr_b)=(/0.,-.00104082,-.0104068,-.0260109,-.0520014,-.103922,-.207519,-.310791,-.413738, &
        -.516361,-.61866,-.720634,-.822285,-.923611,-1.02461,-1.52479,-2.01693,-2.97739,-4.80596/)
      line%pb%strength(1,1:nr_b)=(/.111111,.111101,.111007,.110851,.110592,.110073,.10904,.108012,.106989, &
        .105971,.104957,.103949,.102947,.101949,.100957,.0960817,.0913526,.0823616,.0663701/) 
      line%pb%strength(2,1:nr_b)=(/.111111,.111111,.111111,.111111,.11111,.111106,.111093,.111069,.111037, &
        .110995,.110944,.110884,.110815,.110737,.110649,.110076,.109283,.10707,.10049/)
      line%pb%strength(3,1:nr_b)=(/.111111,.111122,.111215,.111371,.111632,.112154,.1132,.114252,.115308, &
        .116367,.117432,.1185,.119572,.120647,.121727,.127175,.132698,.143901,.166473/)
  case ('HeI 10830.2','He1 10830.25')
      line%pb%nr_zl=7
      c(1,:)=(/ 8.477, -4.631e-1, -4.402e-1, 8.436e-2 /)
      c(2,:)=(/ 9.678, -8.777e-1, -4.968e-1, 1.052e-1 /)
      c(3,:)=(/ 8.556, -5.492e-1, -4.028e-1, 7.882e-2 /)
      c(4,:)=(/ 9.757, -9.627e-1, -4.601e-1, 9.984e-2 /)
      c(5,:)=(/ 8.517, -5.067e-1, -4.212e-1, 8.153e-2 /)
      c(6,:)=(/ 9.835, -1.049e+0, -4.226e-1, 9.430e-2 /)
      c(7,:)=(/ 8.596, -5.927e-1, -3.839e-1, 7.602e-2 /)
      line%pb%cr(1:2,:)=c(1:2,:)
      line%pb%cp(1:3,:)=c(3:5,:)
      line%pb%cb(1:2,:)=c(6:7,:)
      d(1,:)=(/ -1.019e-1,  4.219e-3,  1.334e-2, -2.952e-3 /)
      d(2,:)=(/ -5.746e-2, -1.458e-2,  1.583e-2, -2.904e-3 /)
      d(3,:)=(/  1.019e-1, -4.220e-3, -1.334e-2,  2.952e-3 /)
      d(4,:)=(/ -2.566e-4,  3.714e-2, -1.443e-2,  1.785e-3 /)
      d(5,:)=(/ -1.019e-1,  4.219e-3,  1.334e-2, -2.952e-3 /)
      d(6,:)=(/  5.772e-2, -2.256e-2, -1.398e-3,  1.118e-3 /)
      d(7,:)=(/  1.019e-1, -4.220e-3, -1.334e-2,  2.952e-3 /)
      line%pb%dr(1:2,:)=d(1:2,:)
      line%pb%dp(1:3,:)=d(3:5,:)
      line%pb%db(1:2,:)=d(6:7,:)


      line%pb%splitting(1,1:nr_b)=(/0.,.00104046,.0104179,.0260754,.0522661,.104977,.21173,.320216,.430377, &
        .542128,.655373,.770007,.88592,1.00299,1.12112,1.72398,2.33988,3.58651,6.07352/)     
      line%pb%splitting(2,1:nr_b)=(/0.,.000779152,.00781345,.0195656,.0392294,.0788555,.159286,.241265,.324756, &
        .409698,.496028,.58367,.672545,.762576,.853673,1.32246,1.80745,2.80469,4.8455/)
      line%pb%splitting(3,1:nr_b)=(/0.,.000259399,.00260925,.0065546,.0132084,.0268126,.0552034,.0851402,.116587, &
        .149487,.183775,.219376,.25621,.294197,.333253,.541833,.766607,1.24343,2.2434/)
      line%pb%splitting(4,1:nr_b)=(/0.,0.,7.62939e-06,5.53131e-05,.000224113,.000893593,.00356102,.00796413,.014039, &
        .0217066,.0308695,.04142,.0532465,.0662384,.0802784,.162720,.258203,.463991,.869316/)
      line%pb%splitting(5,1:nr_b)=(/0.,-.000260353,-.00259495,-.00645542,-.0128117,-.0252304,-.0488815,-.0709867,-.0915804, &
        -.110723,-.128476,-.144918,-.160126,-.174181,-.187168,-.238796,-.274233,-.317833,-.358703/)
      line%pb%splitting(6,1:nr_b)=(/0.,-.000780106,-.00779819,-.0194664,-.0388317,-.0772696,-.152966,-.227113,-.299747, &
        -.370932,-.44073,-.509212,-.576461,-.642558,-.707587,-1.01943,-1.31507,-1.87909,-2.9608/)
      line%pb%splitting(7,1:nr_b)=(/0.,-.00104141,-.0103989,-.0259647,-.0518198,-.10319,-.204608,-.304287,-.402297, &
        -.498713,-.593636,-.687169,-.779425,-.87052,-.960562,-1.39854,-1.82348,-2.65853,-4.33488/)
      line%pb%strength(1,1:nr_b)=(/.166667,.166609,.166092,.165224,.163763,.160791,.154687,.148453,.142183, &
        .135967,.129882,.12399,.118342,.112969,.107893,.0870285,.0725936,.0555454,.0409918/)
      line%pb%strength(2,1:nr_b)=(/.166667,.166565,.165651,.164128,.16159,.156528,.146501,.136692,.127194, &
        .118086,.10943,.101269,.0936274,.0865164,.0799323,.0542143,.0378162,.0204432,.00830941/)
      line%pb%strength(3,1:nr_b)=(/.166667,.166565,.165651,.164128,.16159,.156528,.146501,.136692,.127194, &
        .118086,.10943,.101269,.0936274,.0865164,.0799323,.0542143,.0378162,.0204432,.00830941/)
      line%pb%strength(4,1:nr_b)=(/0.,3.18998e-08,3.18988e-06,1.99334e-05,7.96860e-05,.000317985,.00125996,.00279131,.0048584, &
        .0073938,.0103223,.0135663,.0170509,.0207072,.0244742,.0434642,.0607417,.0885621,.127821/)
      line%pb%strength(5,1:nr_b)=(/.166667,.166768,.167682,.169206,.171743,.176805,.186832,.196641,.20614, &
        .215247,.223903,.232065,.239706,.246817,.253401,.279119,.295517,.31289,.325024/)
      line%pb%strength(6,1:nr_b)=(/.166667,.166768,.167682,.169206,.171743,.176805,.186832,.196641,.20614, &
        .215247,.223903,.232065,.239706,.246817,.253401,.279119,.295517,.31289,.325024/)
      line%pb%strength(7,1:nr_b)=(/.166667,.166724,.167238,.168089,.169491,.172225,.177386,.182089,.186292, &
        .189972,.193129,.195777,.197941,.199657,.200966,.202841,.199998,.189226,.164521/)
  case ('HeI 10830.3','He1 10830.34')
     line%pb%nr_zl=9
     c(1,:)=(/ -1.603e-2,  4.348e-3,  6.113e-4, -2.495e-4 /)
     c(2,:)=(/ -8.602e+0,  5.997e-1,  3.807e-1, -7.555e-2 /)
     c(3,:)=(/-11.550e+0,  1.059e+0,  4.188e-1, -9.351e-2 /)
     c(4,:)=(/ -8.516e+0,  5.064e-1,  4.214e-1, -8.157e-2 /)
     c(5,:)=(/-11.470e+0,  9.645e-1,  4.605e-1, -9.970e-2 /)
     c(6,:)=(/ -8.558e+0,  5.517e-1,  4.017e-1, -7.866e-2 /)
     c(7,:)=(/-11.380e+0,  8.720e-1,  5.007e-1, -1.056e-1 /)
     c(8,:)=(/ -8.474e+0,  4.600e-1,  4.415e-1, -8.453e-2 /)
     c(9,:)=(/  1.566e-2, -4.191e-3, -5.948e-4,  2.399e-4 /)
     line%pb%cr(1:3,:)=c(1:3,:)
     line%pb%cp(1:3,:)=c(4:6,:)
     line%pb%cb(1:3,:)=c(7:9,:)
     d(1,:)=(/  0.000e-0,  0.000e-0,  0.000e-0,  0.000e-0 /)
     d(2,:)=(/  1.019e-1, -4.220e-3, -1.334e-2,  2.952e-3 /)
     d(3,:)=(/  6.678e-2,  1.435e-2, -1.584e-2,  2.904e-3 /)
     d(4,:)=(/ -1.019e-1,  4.220e-3,  1.334e-2, -2.952e-3 /)
     d(5,:)=(/  2.606e-4, -3.669e-2,  1.444e-2, -1.789e-3 /)
     d(6,:)=(/  1.019e-1, -4.220e-3, -1.334e-2,  2.952e-3 /)
     d(7,:)=(/ -6.812e-2,  2.232e-2,  1.415e-3, -1.117e-3 /)
     d(8,:)=(/ -1.019e-1,  4.220e-3,  1.334e-2, -2.952e-3 /)
     d(9,:)=(/  0.000e-0,  0.000e-0,  0.000e-0,  0.000e-0 /)
     line%pb%dr(1:3,:)=d(1:3,:)
     line%pb%dp(1:3,:)=d(4:6,:)
     line%pb%db(1:3,:)=d(7:9,:)

      line%pb%splitting(1,1:nr_b)=(/0.,.00103951,.0103979,.0259533,.051775,.103026,.203955,.302825,.399696, &
        .494653,.58779,.679214,.769037,.857373,.944334,1.36207,1.75872,2.5134,3.93665/)
      line%pb%splitting(2,1:nr_b)=(/0.,.000779152,.00779629,.0194645,.0388327,.0772696,.152965,.227111,.299747, &
        .370931,.440728,.509211,.57646,.642557,.707586,1.01943,1.31507,1.87909,2.9608/)
      line%pb%splitting(3,1:nr_b)=(/0.,.000519753,.00520325,.01301,.026021,.0520411,.104082,.156126,.208167, &
        .260208,.31225,.364293,.416335,.468376,.52042,.780629,1.04084,1.56126,2.6021/)
      line%pb%splitting(4,1:nr_b)=(/0.,.000259399,.00259304,.00645351,.0128126,.0252275,.0488815,.0709858,.0915804, &
        .110723,.128474,.144917,.160126,.174180,.187168,.238794,.274232,.317832,.358701/)
      line%pb%splitting(5,1:nr_b)=(/0.,0.,-1.14441e-05,-6.77109e-05,-.000266075,-.00105762,-.00421143,-.00942612,-.0166397, &
        -.0257673,-.0367155,-.0493746,-.0636358,-.0793829,-.0965061,-.199194,-.322956,-.609122,-1.26755/)
      line%pb%splitting(6,1:nr_b)=(/0.,-.000261307,-.00261116,-.00655746,-.0132103,-.0268154,-.0552025,-.0851421,-.116589, &
        -.149488,-.183777,-.219378,-.256212,-.294198,-.333255,-.541835,-.766607,-1.24343,-2.2434/)
      line%pb%splitting(7,1:nr_b)=(/0.,-.00052166,-.00520611,-.013011,-.0260239,-.0520439,-.104084,-.156126,-.20817, &
        -.260211,-.312253,-.364294,-.416337,-.468379,-.520421,-.780632,-1.04084,-1.56126,-2.6021/)
      line%pb%splitting(8,1:nr_b)=(/0.,-.000782013,-.00781536,-.0195665,-.0392313,-.0788565,-.159288,-.241268,-.324756, &
        -.409698,-.496028,-.583672,-.672547,-.762578,-.853673,-1.32246,-1.80745,-2.80469,-4.8455/)
      line%pb%splitting(9,1:nr_b)=(/0.,-.00104141,-.0104218,-.0260878,-.0523071,-.105142,-.21238,-.321677,-.432975, &
        -.546187,-.661219,-.777965,-.896309,-1.01614,-1.13735,-1.76045,-2.40464,-3.73164,-6.47176/)
      line%pb%strength(1,1:nr_b)=(/.0555556,.0556233,.0562343,.057258,.0589788,.0624694,.0696058,.0768682,.0841611, &
        .0913957,.0984943,.105394,.112045,.118415,.124483,.150223,.169387,.195426,.225972/)
      line%pb%strength(2,1:nr_b)=(/.166667,.166768,.167682,.169206,.171743,.176805,.186832,.196641,.20614, &
        .215247,.223903,.232065,.239706,.246817,.253401,.279119,.295517,.31289,.325024/)
      line%pb%strength(3,1:nr_b)=(/.333333,.333333,.333333,.333333,.333333,.333333,.333333,.333333,.333333, &
        .333333,.333333,.333333,.333333,.333333,.333333,.333333,.333333,.333333,.333333/)
      line%pb%strength(4,1:nr_b)=(/.166667,.166768,.167682,.169206,.171743,.176805,.186832,.196641,.20614, &
        .215247,.223903,.232065,.239706,.246817,.253401,.279119,.295517,.31289,.325024/)
      line%pb%strength(5,1:nr_b)=(/.222222,.222222,.222219,.222203,.222144,.221909,.220981,.219473,.217438, &
        .214944,.212067,.208883,.205467,.20189,.19821,.179793,.163309,.137701,.105023/)
      line%pb%strength(6,1:nr_b)=(/.166667,.166565,.165651,.164128,.16159,.156528,.146501,.136692,.127194, &
        .118086,.10943,.101268,.0936274,.0865164,.0799323,.0542143,.0378162,.0204432,.00830941/)
      line%pb%strength(7,1:nr_b)=(/.333333,.333333,.333333,.333333,.333333,.333333,.333333,.333333,.333333, &
        .333333,.333333,.333333,.333333,.333333,.333333,.333333,.333333,.333333,.333333/)
      line%pb%strength(8,1:nr_b)=(/.166667,.166565,.165651,.164128,.16159,.156528,.146501,.136692,.127194, &
        .118086,.10943,.101268,.0936274,.0865164,.0799323,.0542143,.0378162,.0204432,.00830941/)
      line%pb%strength(9,1:nr_b)=(/.0555556,.0554879,.05488,.0538727,.0522109,.0489551,.0427468,.0369925,.0317342, &
        .0269934,.0227724,.019057,.0158209,.0130287,.0106403,.00331738,.000637528,.000206035,.00233929/)
     case default
        write(*,*) 'Unknown PB-case, atom: '//ids
        stop
  end select

  line%pb%splitting=line%pb%splitting*0.105 ! convert Doppler units to Angstrom
end subroutine def_pb
